# PhasicFlow: demGeometry Class Reference

demGeometry Class Reference
Inheritance diagram for demGeometry:
[legend]
Collaboration diagram for demGeometry:
[legend]

## Public Member Functions

| demGeometry (systemControl &control)
Public Member Functions inherited from demComponent
| TypeInfo ("demComponent")
| demComponent (const word &name, systemControl &control)
virtual | ~demComponent ()=default
const auto & | control () const
auto & | control ()
real | dt () const
real | currentTime () const
auto & | timers ()
const auto & | timers () const
virtual bool | beforeIteration ()=0
virtual bool | iterate ()=0
virtual bool | afterIteration ()=0

## Additional Inherited Members

Protected Attributes inherited from demComponent
word | componentName_
systemControl & | control_
Timers | timers_

## Detailed Description

Definition at line 31 of file demGeometry.hpp.

## Constructor & Destructor Documentation

## demGeometry()

demGeometry | ( | systemControl & | control | ) |

inline

Definition at line 37 of file demGeometry.hpp.

The documentation for this class was generated from the following file:

- src/Geometry/geometry/demGeometry.hpp